#pragma once
#include <vector>
using namespace std;

double scalar(vector<double> const &x, vector<double> const &y);
vector<double> matrix_vec(vector<double> const &A, vector<double> const &x);
vector<double> matrix_matrix(vector<double> const &A, vector<double> const &B, size_t const &M);
vector<double> poly(vector<double> const &x, vector<double> const &a);